import request from '@/utils/request'

// 查询预警配置列表
export function listOperationWarnconfig(query) {
  return request({
    url: '/system/operationWarnconfig/list',
    method: 'get',
    params: query
  })
}

// 查询预警配置详细
export function getOperationWarnconfig(id) {
  return request({
    url: '/system/operationWarnconfig/' + id,
    method: 'get'
  })
}

// 新增预警配置
export function addOperationWarnconfig(data) {
  return request({
    url: '/system/operationWarnconfig',
    method: 'post',
    data: data
  })
}

// 修改预警配置
export function updateOperationWarnconfig(data) {
  return request({
    url: '/system/operationWarnconfig',
    method: 'put',
    data: data
  })
}

// 删除预警配置
export function delOperationWarnconfig(id) {
  return request({
    url: '/system/operationWarnconfig/' + id,
    method: 'delete'
  })
}
